import { defineComponent } from 'vue'
import useBackgroundStore from './useBackgroundStore'

export default defineComponent({
  setup() {
    const background = useBackgroundStore()
    return () => (
      <div class="absolute left-0 top-0 w-full h-screen z-0">
        {background.resource.type === 'image' ? (
          <div
            class="w-full h-full bg-center bg-cover bg-no-repeat"
            style={{
              backgroundImage: `url('${background.resource.url}')`
            }}
          ></div>
        ) : (
          <video src={background.resource.url} class="w-full h-full" />
        )}
      </div>
    )
  }
})
