export enum BlockType {
  Widget,
  Folder,
  Link
}

export interface Block {
  link: string // '' 代表小组件，id:xxx 代表文件夹，其他代表链接
  // 内容标注，小组件表示展示何种小组件
  name: string
  // 标签，展示在图标下放
  label: string
  // 图标
  icon: string
  // 图标中的文字
  text: string
  // 背景颜色
  background: string
  // 文字颜色
  color: string
  // 其他信息
  extra?: any
}

export type LayoutPages = { list: Block[]; label: string; name: string }[]

export interface Layout {
  content: [LayoutPages, LayoutPages, LayoutPages]
  current: 0 | 1 | 2 // 游戏，工作，轻娱
  currentPage: number
  dir: { [key: string]: Block[] }
  dock: [
    Block | null,
    Block | null,
    Block | null,
    Block | null,
    Block | null,
    Block | null,
    Block | null,
    Block | null,
    Block | null,
    Block | null
  ]
  simple: boolean
  loading: boolean
}
