import { defineStore } from 'pinia'
import { ref } from 'vue'

const useTimeStore = defineStore('time', () => {
  const date = ref(new Date())
  // 1 秒更新一次
  let d = 0
  const refresh = (dt: number) => {
    const _d = Math.trunc(dt / 100)
    if (_d !== d) {
      d = _d
      date.value = new Date()
    }
    requestAnimationFrame(refresh)
  }
  requestAnimationFrame(refresh)
  return { date }
})

export default useTimeStore
